import { checkVisual } from "@/views/event/components/details/mixins";
export default {
  mixins: [checkVisual],
  props: {
    tableData: {//数据
      type: Array,
      default: () => {
        return [{ name: '123', eventNumber: '手机', projectNumber: '专利数据库一', projectNumber1: [{ name: '事件一' }] },]
      }
    },
    queryParams: {//分页信息
      type: Object,
      default: () => {
        return {
          size: 10,
          current: 1,
        }
      }
    },
  },
  computed: {

  },
  methods: {
    // 点击表格名称等事件
    handleItem(row, key) {
      this.$router.push({
        path: '/reportDetails',
        query: {
          projectId: row.id,
          patentNo:row.signPatentNo,
          signPatentNo:row.signPatentNo,
          reportType: row.reportType,
          status:row.status,
        }
      })

    },
    //表格操作列事件
    handleCommand(option, row) {
      if (option == 'e') {//编辑
        this.action = {
          type: '2',
          id: row.id
        }
      }
      var isLast = false
      if (option == '7') {//删除
        this.action = {
          type: '1',
          id: row.id
        }
        if (this.tableData.length == 1) {
          isLast = true
        }
      }

      this.$emit('option', { option, row, isLast: isLast })
    },
  },
}